﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="AutoCompletionKeywordEditor.ascx.cs"
    Inherits="Core.Web.Admin.Controls.Editor.AutoCompletionKeywordEditor" %>
<%@ Import Namespace="Core.DBO.Service.Security" %>
<%@ Import Namespace="Core.DBO.Static" %>
<%@ Import Namespace="Core.Web.Objects.Utility" %>
<%@ Import Namespace="Core.DBO.Entity" %>
<%@ Import Namespace="Core.Web" %>
<%@ Import Namespace="Core.Web.Objects" %>
<%@ Import namespace="Core.Web.Constants.UI"%>
<%@ Register Src="~/Admin/Controls/HorizontalButtonsPanel.ascx" TagPrefix="uc" TagName="ButtonsPanel" %>
<table cellspacing="15" cellpadding="0" border="0" class="data">
    <tbody>
        <tr>
            <td class="form1">
                <div class="error">
                    <UI:ValidationSummary runat="server" ID="Errors" />
                </div>
                <UI:ActionResultView runat="server" ID="CustomActionResult" />
                <fieldset>
                    <Control:CollapsableBox runat="server" ID="Messages" IsCollapsable="true">
                        <Header>
                            <h3 class="delimiter"><span><%=UI.Current.AutoCompletionKeywordDetails%></span></h3>
                        </Header>
                        <Body>
                            <div class="form-content">
                                <table class="line-form">
                                    <tbody>
                                            <tr class="<%=GetRegionCSSClass(Text)%>">
                                              <td class="label">
                                                <UI:FieldView runat="server" ID="TextFieldView" InputToDisplayID="Text" />
                                              </td>
                                              <td class="control">
                                                <UI:TextBox runat="server" ID="Text" Template-PropertyName="Text" 
                                                ExtendedTemplate-HighlightOnFocus="true" />
                                              </td>
                                            </tr>
                                            <tr class="<%=GetRegionCSSClass(Enabled)%>">
                                              <td class="label">
                                                <UI:FieldView runat="server" ID="EnabledFieldView" InputToDisplayID="Enabled" />
                                              </td>
                                              <td class="control">
                                                <UI:CheckBox runat="server" ID="Enabled" Template-PropertyName="Enabled" 
                                                ExtendedTemplate-HighlightOnFocus="true" />
                                              </td>
                                            </tr>
                                    </tbody>
                                </table>
                            </div>
                        </Body>
                    </Control:CollapsableBox>
                </fieldset>
            </td>
        </tr>
        <tr>
            <td>
                <uc:ButtonsPanel runat="server" ID="Buttons" />
                <span class="obligatory-fields"><%=UI.Current.RequiredMessage%></span>
            </td>
        </tr>
    </tbody>
</table>
