﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="CurrencyRateListing.ascx.cs" 
Inherits="Core.Web.Admin.Controls.Listing.CurrencyRateListing" %>
<%@ Import Namespace="Core.Web" %>

<table class="data" cellpadding="0" cellspacing="15" border="0">
    <tr>
        <td>
            <Filter:FiltersArea runat="server" ID="Filters">
                <Filters>
                    <UI:FilterTextBox runat="server" ID="SearchBox" />
                </Filters>
            </Filter:FiltersArea>
        </td>
    </tr>
    <tr>
        <td>
            <UI:ActionResultView runat="server" ID="CustomActionResult" />
        </td>
    </tr>
    <tr>
        <td>
            <Grid:CurrencyRateGridView runat="server" ID="Grid" >
                <Columns>
                    <List:GridColumn Header="From" PropertyName="SourceCurrency.CurrencyCode" Width="20" />
                    <List:GridColumn Header="To" PropertyName="DestinationCurrency.CurrencyCode" Width="20" />
                    <List:GridColumn Header="Last Update Time" PropertyName="LastUpdateTime" Width="20" />
                    <List:GridColumn Header="Exchange Rate" PropertyName="ExchangeRate" Width="20" />
                </Columns>
                <ActionColumns>
                    <List:SaveActionColumn Header="Save" Width="3" CssClass="butt-save png cursor-hand"
                      InactiveCssClass="button-invisible" />
                    <List:CancelActionColumn Header="Cancel" Width="3" CssClass="butt-cancel png cursor-hand"
                      InactiveCssClass="button-invisible" />
                    <List:StartEditActionColumn Width="3" CssClass="butt-edit png cursor-hand" 
                      InactiveCssClass="button-invisible" />                
                    <List:DeleteActionColumn Width="3" CssClass="butt-delete png cursor-hand" 
                      InactiveCssClass="inactive-action-column" />
                </ActionColumns>             
                <InputRow>
                  <List:TextBoxColumn PropertyName="ExchangeRate"
                        CssClass="textbox-column" ControlCssClass="grid-input select select-104" />                        
                </InputRow>
            </Grid:CurrencyRateGridView>
        </td>
    </tr>
    <tr>
        <td>
            <List:ItemsCounter runat="server" ID="ItemsCounter" /><span class="grid-area-filter-item">
                <label class="line-label"><%=PageSize.FieldView%></label>
                <List:PageSizeChanger runat="server" ID="PageSize"/>
            </span>
            <List:Paginator runat="server" ID="GridPaginator"/>
        </td>
    </tr>
</table>