﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ContentPageListingPage.aspx.cs"
    Inherits="Core.Web.Admin.Pages.ContentPagePages.ContentPageListingPage" MasterPageFile="~/Admin/CoreAdmin.Master"
    ValidateRequest="false" %>

<%@ Import Namespace="Core.Web" %>
<%@ Register Src="~/Admin/Controls/Trees/ContentPageTree.ascx" TagName="ContentPageTree" TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/HorizontalToolbar.ascx" TagPrefix="uc" TagName="Toolbar" %>

<asp:Content ID="Content" ContentPlaceHolderID="Content" runat="server">
    <Ajax:UpdatePanel runat="server" ID="ContentPageListingUpdatePanel" UpdateMode="Conditional">
        <ContentTemplate>
            <uc:Toolbar runat="server" ID="TopToolbar" ShouldUpdateVisibility="false"/>
            <table width="100%" cellspacing="0" cellpadding="0" border="0" class="data-area">
              <tbody>
                <tr>
                  <td>
                    <uc:ContentPageTree id="ContentPageTreeControl" runat="server"/>
                  </td>
                </tr>
              </tbody>
            </table>
            <uc:Toolbar runat="server" ID="BottomToolbar" />
        </ContentTemplate>
    </Ajax:UpdatePanel>
</asp:Content>
