﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="CountryEditorPage.aspx.cs"
    Inherits="Core.Web.Admin.Pages.CountryPages.CountryEditorPage" MasterPageFile="~/Admin/CoreAdmin.Master"
    ValidateRequest="false" %>

<%@ Import Namespace="Core.Web" %>
<%@ Register Src="~/Admin/Controls/Editor/CountryEditor.ascx" TagName="CountryEditor"
    TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/VerticalToolbar.ascx" TagPrefix="uc" TagName="Toolbar" %>
<%@ Register Src="~/Admin/PageElements/HelpButton.ascx" TagPrefix="uc" TagName="HelpButton" %>
<asp:Content ID="Content" ContentPlaceHolderID="Content" runat="server">
    <Ajax:UpdatePanel runat="server" ID="CountryEditorUpdatePanel" UpdateMode="Conditional">
        <ContentTemplate>
            <div class="management-buttons flo">
                <uc:HelpButton ID="HelpButton" runat="server" />
                <h2 class="edit-header"><%=PageTitle%></h2>
            </div>
            <table width="100%" cellspacing="0" cellpadding="0" border="0">
                <tbody>
                    <tr>
                        <td width="100%" valign="top">
                            <Tab:CountryTabContainer ID="TabContainer" runat="server">
                                <Items>
                                    <Tab:CountryTabItem runat="server" ID="DetailsTab" Active="true"
                                        ActiveForNewEntity="true">
                                        <innercontent>
                                          <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                                             <tbody>
                                                <tr>
                                                   <td>
                                                     <uc:CountryEditor ID="CountryEditor" runat="server" />
                                                   </td>
                                                </tr>
                                             </tbody>
                                          </table>
                                        </innercontent>
                                    </Tab:CountryTabItem>
                                </Items>
                            </Tab:CountryTabContainer>
                        </td>
                        <td valign="top" class="tabs-box-column">
                            <uc:Toolbar runat="server" ID="VerticalToolbar" />
                        </td>
                    </tr>
                </tbody>
            </table>
        </ContentTemplate>
    </Ajax:UpdatePanel>
</asp:Content>
