﻿<%@ Page Language="C#" MasterPageFile="~/Admin/CoreAdmin.Master" AutoEventWireup="true" CodeBehind="MetaDataSettings.aspx.cs" Inherits="Core.Web.Admin.Pages.Settings.MetaDataSettings"%>
<%@ Register TagPrefix="Tabs" Namespace="iFramework.Controls.Tabs" Assembly="iFramework.Controls" %>
<%@ Register Src="~/Admin/Controls/Settings/CommonMetaDataSettings.ascx" TagPrefix="uc" TagName="CommonMetaDataSettings" %>
<%@ Register Src="~/Admin/Controls/Settings/ProductMetaDataSettings.ascx" TagPrefix="uc" TagName="ProductMetaDataSettings" %>
<%@ Register Src="~/Admin/Controls/Settings/CategoryMetaDataSettings.ascx" TagPrefix="uc" TagName="CategoryMetaDataSettings" %>
<%@ Register Src="~/Admin/Controls/Settings/ContentPageMetaDataSettings.ascx" TagPrefix="uc" TagName="ContentPageMetaDataSettings" %>

<asp:Content ID="Content1" ContentPlaceHolderID="Content" runat="server">
  <Ajax:UpdatePanel runat="server" ID="EditorUpdatePanel" UpdateMode="Conditional">
    <ContentTemplate>
      <br />
      <Tabs:TabContainer runat="server" ID="SettingsTabMenu">
        <Items>
          <Tabs:TabItem runat="server" ID="CommonMetaDataSettingsTab" Active="true">
            <innercontent>
              <uc:CommonMetaDataSettings runat="server" ID="CommonMetaDataSettings" />
            </innercontent>
          </Tabs:TabItem>          
          <Tabs:TabItem runat="server" ID="ProductMetaDataSettingsTab" Active="true">
            <innercontent>
              <uc:ProductMetaDataSettings runat="server" ID="ProductMetaDataSettingsEditor" />
            </innercontent>
          </Tabs:TabItem>
          <Tabs:TabItem runat="server" ID="CategoryMetaDataSettingsTab" Active="true">
            <innercontent>
              <uc:CategoryMetaDataSettings runat="server" ID="CategoryMetaDataSettingsEditor" />
            </innercontent>
          </Tabs:TabItem>
          <Tabs:TabItem runat="server" ID="ContentPageMetaDataSettingsTab" Active="true">
            <innercontent>
              <uc:ContentPageMetaDataSettings runat="server" ID="ContentPageMetaDataSettingsEditor" />
            </innercontent>
          </Tabs:TabItem>
        </Items>
      </Tabs:TabContainer>
    </ContentTemplate>
  </Ajax:UpdatePanel>
</asp:Content>