﻿<%@ Page Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="ConfirmOrder.aspx.cs" Inherits="Core.Web.ConfirmOrder" Title="Untitled Page" %>
<%@ Import Namespace="Core.Web.Constants.UI"%>

<%@ Register Src="~/Controls/Layout/BreadCrumbs.ascx" TagName="BreadCrumbs" TagPrefix="uc" %>
<%@ Register Src="~/Controls/Basket/OrderSummary.ascx" TagName="OrderSummary" TagPrefix="uc" %>
<%@ Register Src="~/Controls/Basket/DiscountList.ascx" TagName="DiscountList" TagPrefix="uc" %>
<%@ Register Src="~/Controls/Vouchers/VoucherApplying.ascx" TagName="VoucherApplying" TagPrefix="uc" %>

<asp:Content ID="Content1" ContentPlaceHolderID="MainPlaceHolder" runat="server">
  <uc:BreadCrumbs runat="server" ID="BreadCrumbs" />
  <div class="Area">
    <div class="FormSection">
      <Ajax:UpdatePanel runat="server" ID="SummaryUpdatePanel">
        <ContentTemplate>
          <div class="AreaContent">
	          <h2><%=UI.Current.BasketTitle%></h2>
	          <uc:OrderSummary runat="server" ID="Summary" />
				    <div class="FormControl FormControlIndent-B">
					    <ul class="Groups">
						    <li class="GroupA">
							    <ul>
					          <li><Front:SpanButton runat="server" OnClick="BackHandler" ID="BackButton" CssClass="InputButton InputButtonViewA InputButtonFixed InputButtonSize-A" /></li>
					          <li><Front:SpanButton runat="server" OnClick="EnterPaymentDetailsHandler" ID="ProceedButton" CssClass="InputButton InputButtonViewA InputButtonFixed InputButtonSize-E" /></li>							
							    </ul>
						    </li>
					    </ul>
				    </div>
          </div>	
          <%if (IsDiscountsEnabled) {%>
            <uc:DiscountList runat="server" ID="Discounts" />
          <%} %>
          <%if (IsGiftVouchersEnabled) {%>
            <uc:VoucherApplying runat="server" ID="Vouchers" />
          <%} %>
        </ContentTemplate>
      </Ajax:UpdatePanel>      
    </div>
  </div>
</asp:Content>