﻿<%@ Import Namespace="Core.Web.Constants.UI"%>
<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="SubscriptionSelection.ascx.cs" Inherits="Core.Web.Controls.Customers.SubscriptionSelection" %>

<Front:PopupValidationSummary runat="server" ID="PopupSummary" SeeInContainers="true" />
<Front:PopupActionResult runat="server" ID="ActionResultView" />

<div class="FormSection">
  <div class="AreaContent">
    <h2><%=UI.Current.ChooseYourSubscription%></h2>
    <div class="FormSection">
      <div class="GroupedForm">
 
<div class="FormRow">
  <dl>
    <dt>
      <UI:FieldView runat="server" ID="SubscriptionFieldView" InputToDisplayID="SubscriptionField" NormalCssClass="InputLine LabelSize-B" ErrorCssClass="Error" AsterixCssClass="Req" RenderAsterix="true" />
    </dt>
    <dd>
      <span class="InputLine InputLineSize-C">
        <UI:DropDownList id="SubscriptionField" CssClass="select-176" runat="server" ExtendedTemplate-HighlightOnFocus="true" Template-IsRequired="true"/>
      </span>
    </dd>
  </dl>
</div>

<Ajax:UpdatePanel runat="server" ID="SubscriptionUpdatePanel" UpdateMode="Conditional"> 
  <ContentTemplate>
    <div class="FormRow">
      <dl>
        <dt>
        </dt>
        <dd>
          <%=CurrentSubscriptionDescription %>
        </dd>
      </dl>
    </div>
  </ContentTemplate>
</Ajax:UpdatePanel>


<div class="FormRow">
  <dl>
    <dt>
      <UI:FieldView runat="server" ID="SubscriptionOfferFieldView" InputToDisplayID="SubscriptionOfferField" NormalCssClass="InputLine LabelSize-B" ErrorCssClass="Error" AsterixCssClass="Req" RenderAsterix="true" />
    </dt>
    <dd>
      <span class="InputLine InputLineSize-C">
        <UI:DropDownList id="SubscriptionOfferField" CssClass="select-176" runat="server" ExtendedTemplate-HighlightOnFocus="true" Template-IsRequired="true" />   
      </span>
    </dd>
  </dl>
</div>
 
<Ajax:UpdatePanel runat="server" ID="SubscriptionOfferUpdatePanel" UpdateMode="Conditional"> 
  <ContentTemplate>
    <div class="FormRow">
      <dl>
        <dt>
        </dt>
        <dd>
          <%=CurrentSubscriptionOfferDuration %>
        </dd>
      </dl>
    </div>
    <div class="FormRow">
      <dl>
        <dt>
        </dt>
        <dd>
          <%=CurrentSubscriptionOfferPrice %>
        </dd>
      </dl>
    </div>
    <div class="FormRow">
      <dl>
        <dt>
        </dt>
        <dd>
          <%=CurrentSubscriptionOfferDescription %>
        </dd>
      </dl>
    </div>

  </ContentTemplate>
</Ajax:UpdatePanel>

<div class="FormControl FormControlIndent-B">
  <ul class="Groups">
    <li class="GroupA">
      <ul>
        <li><Front:SpanButton runat="server" OnClick="SaveHandler" ID="SaveButton" CssClass="InputButton InputButtonViewA InputButtonFixed InputButtonSize-A" /></li>
        <li><Front:SpanButton runat="server" OnClick="CancelHandler" ID="CancelButton" CssClass="InputButton InputButtonViewA InputButtonFixed InputButtonSize-A" /></li>
      </ul>
    </li>
    <li class="GroupB">
      <ul>
        <li>
          <p class="Note"><%=UI.Current.MandatoryFieldsDisclaimer%></p>
        </li>
      </ul>
    </li>
  </ul>
</div>

      <div class="GroupedForm">
    <div class="FormSection">
  </div>
</div>