﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="VoucherApplying.ascx.cs" Inherits="Core.Web.Controls.Vouchers.VoucherApplying" %>

<%@ Import Namespace="Core.Web.Constants.UI"%>
<%@ Import Namespace="Core.Web.Constants"%>
<%@ Import Namespace="iFramework.Core.Utilities"%>
<%@ Import Namespace="Core.Web"%>

<Front:PopupValidationSummary runat="server" ID="PopupSummary" SeeInContainers="true" />
<Front:PopupActionResult runat="server" ID="ActionResultView" />

<div class="FamilyData">
	<h2><%=UI.Current.VouchersListTitle%></h2>
	<div class="FormSection">
		<div class="FormRow">
			<dl>
				<dt>
				  <UI:FieldView runat="server" ID="VoucherCodeFieldView" InputToDisplayID="VoucherCodeField" NormalCssClass="InputLine LabelSize-CC" ErrorCssClass="Error" AsterixCssClass="Req" />
				</dt>
				<dd>
					<div class="CombinedField"><span class="InputLine InputLineSize-E">
						<UI:TextBox runat="server" ID="VoucherCodeField" Template-IsRequired="true" />
						</span><Front:SpanButton runat="server" OnClick="ApplyVoucherHandler" ID="ApplyButton" CssClass="InputButton InputButtonViewA" /></div>
				</dd>
			</dl>
		</div>
		<div class="RelOtions">
			<div class="TableData">
			  <%if (AppliedVouchers.Items.Count > 0) {%>
		      <table border="0" cellspacing="0" cellpadding="0">
			      <colgroup class="Num1" span="1">
			        <col class="Num1" />
			      </colgroup>
			      <colgroup class="Num1" span="1">
			        <col class="Num1" />
			      </colgroup>		 
			      <colgroup class="Num1" span="1">
			        <col class="Num1" />
			      </colgroup>			         					    
			      <colgroup class="Num2" span="1">
			        <col class="Num2" />
			      </colgroup>
            <thead>		    
	            <tr>              
		            <th scope="col"><%=UI.Current.TitleColumnName%></th>
		            <th scope="col"><%=UI.Current.CodeColumnName%></th>
		            <th scope="col"><%=UI.Current.AmountColumnName%></th>
                <th class="first">&nbsp;</th>				      
	            </tr>
            </thead>
			      <asp:Repeater runat="server" ID="AppliedVouchers">
			        <ItemTemplate>
					      <tr>
						      <td><%#TextUtility.FormatText(Eval("Voucher.Title") as String)%></td>
						      <td><%#TextUtility.FormatText(Eval("Voucher.Code") as String)%></td>
						      <td><%#UserMoney((decimal)Eval("Amount"))%></td>
						      <td><a class="Do doDel" href="javascript:void(0);" onclick="<%#GetPostBackEventReference(String.Format(Actions.Current.CancelVoucherTemplate, Eval("Voucher.Code")))%>"><img src="<%#Global.ApplicationPath%>Files/images/Button.inTable.Delete.gif" alt="" width="9" height="9" /></a></td>
					      </tr>			    
			        </ItemTemplate>
			      </asp:Repeater>
          </table>
			  <%} %>
			</div>
		</div>
	</div>
</div>