﻿/* 

    Author: Roman Zaharenkov
    Date:   26.05.2009

*/

-- Drop Constraint, Rename and Create Table SQL

CREATE TABLE dbo.GiftVoucherInstances
(
    GiftVoucherInstanceID int            IDENTITY,
    GiftVoucherID         int            NOT NULL,
    CustomerID            int            NULL,
    Code                  nvarchar(255)  NULL,
    Balance               money          NULL,
    IsDebugObject         bit            NULL,
    CONSTRAINT PK132
    PRIMARY KEY CLUSTERED (GiftVoucherInstanceID)
)
ON [PRIMARY]

-- Add Referencing Foreign Keys SQL

ALTER TABLE dbo.GiftVoucherInstances 
    ADD CONSTRAINT FK_GiftVoucherInstances_GiftVouchers
FOREIGN KEY (GiftVoucherID)
REFERENCES dbo.GiftVouchers (GiftVoucherID)
 ON DELETE CASCADE

ALTER TABLE dbo.GiftVoucherInstances 
    ADD CONSTRAINT FK_GiftVoucherInstances_Customers
FOREIGN KEY (CustomerID)
REFERENCES dbo.Customers (CustomerID)
 ON DELETE SET NULL