﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="UnitListing.ascx.cs"
  Inherits="Core.Web.Admin.Controls.Settings.Listing.UnitListing" %>
<table class="data" cellpadding="0" cellspacing="15" border="0">
  <tbody>
    <tr>
      <td>
        <Filter:FiltersArea runat="server" ID="Filters">
          <Filters>
            <UI:FilterTextBox runat="server" ID="SearchBox" />
          </Filters>
        </Filter:FiltersArea>
      </td>
    </tr>
    <tr>
      <td>
        <UI:ActionResultView runat="server" ID="CustomActionResult" />
      </td>
    </tr>
    <tr>
      <td>
        <Grid:UnitGridView runat="server" ID="Grid" EnableEdit="true">
          <Columns>
            <List:GridColumn Header="Name" PropertyName="Name" Width="80" />
          </Columns>
          <ActionColumns>
            <List:SaveActionColumn Header="Save" Width="3" CssClass="butt-save png cursor-hand"
              InactiveCssClass="button-invisible" />
            <List:CancelActionColumn Header="Cancel" Width="3" CssClass="butt-cancel png cursor-hand"
              InactiveCssClass="button-invisible" />
            <List:StartEditActionColumn Width="3" CssClass="butt-edit png cursor-hand" 
            InactiveCssClass="button-invisible" />
            <List:DeleteActionColumn Width="3" CssClass="butt-delete png cursor-hand" 
            InactiveCssClass="button-invisible" />
          </ActionColumns>
          <InputRow>
            <List:TextBoxColumn PropertyName="Name" CssClass="textbox-column" ControlCssClass="grid-input text-field text-field-160" />
          </InputRow>
        </Grid:UnitGridView>
      </td>
    </tr>
    <tr>
      <td>
        <List:ItemsCounter runat="server" ID="ItemsCounter" /><span class="grid-area-filter-item">
          <label class="line-label">
            <%=PageSize.FieldView%></label>
          <List:PageSizeChanger runat="server" ID="PageSize"/>
        </span>
        <List:Paginator runat="server" ID="GridPaginator"/>
      </td>
    </tr>
  </tbody>
</table>
