﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="Start.ascx.cs" Inherits="Core.Web.Admin.Controls.Setup.Start" %>

<%@ Register Src="~/Admin/PageElements/SpanButton.ascx" TagPrefix="uc" TagName="SpanButton" %>

<table cellspacing="15" cellpadding="0" border="0" class="data">
  <tbody>
    <tr>
      <td class="form1">
        <div class="error"><UI:ValidationSummary runat="server" ID="Errors" /></div>
        <UI:ActionResultView runat="server" ID="CustomActionResult" />
        <fieldset>      
          <div class="setup-tooltip">
            <p>This installation wizard will guide you through the installation of Core E-commerce.</p>
            <p>Before you begin you should make sure you have setup your <strong>MS SQL</strong> server correctly and <strong>ASPNET account</strong> has a <strong>full</strong> access the location of the application root.</p>
            <p>To begin the installation, click "Next".</p>
          </div>
        </fieldset>
      </td>
    </tr>
    <tr>
      <td>        
        <uc:SpanButton runat="server" id="Next" Title="Next" ToolTip="Next" />
      </td>
    </tr>
  </tbody>
</table> 