﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="OrderItemViewer.ascx.cs"
    Inherits="Core.Web.Admin.Controls.Viewer.OrderItemViewer" %>
<%@ Import Namespace="Core.DBO.Service.Security" %>
<%@ Import Namespace="Core.DBO.Static" %>
<%@ Import Namespace="Core.Web.Objects.Utility" %>
<%@ Import Namespace="Core.DBO.Entity" %>
<%@ Import Namespace="Core.Web" %>
<%@ Import Namespace="Core.Web.Objects" %>
<%@ Import namespace="Core.Web.Constants.UI"%>
<%@ Register Src="~/Admin/Controls/HorizontalButtonsPanel.ascx" TagPrefix="uc" TagName="ButtonsPanel" %>
<table cellspacing="15" cellpadding="0" border="0" class="data">
    <tbody>
        <tr>
            <td class="form1">
                <div class="error">
                    <UI:ValidationSummary runat="server" ID="Errors" />
                </div>
                <UI:ActionResultView runat="server" ID="CustomActionResult" />
                <fieldset>
                    <Control:CollapsableBox runat="server" ID="Messages" IsCollapsable="true">
                        <Header>
                            <h3 class="delimiter"><span><%=UI.Current.OrderItemDetails %></span></h3>
                        </Header>
                        <Body>
                            <div class="form-content">
                                <table class="line-form-value">
                                    <tbody>
                                        <tr>
                                          <td class="label-value">
                                            <UI:FieldView runat="server" ID="TitleFieldView" InputToDisplayID="TitleField" />
                                          </td>
                                          <td class="control-value">
                                            <UI:Label id="TitleField" runat="server"
                                            Template-PropertyName="Title"/>
                                          </td>
                                        </tr>
                                        <tr>
                                          <td class="label-value">
                                            <UI:FieldView runat="server" ID="ReferenceFieldView" InputToDisplayID="ReferenceField" />
                                          </td>
                                          <td class="control-value">
                                            <UI:Label id="ReferenceField" runat="server" Template-PropertyName="Reference"/>
                                          </td>
                                        </tr>
                                        <tr>
                                          <td class="label-value">
                                            <UI:FieldView runat="server" ID="PriceFieldView" InputToDisplayID="PriceField" />
                                          </td>
                                          <td class="control-value">
                                            <UI:Label id="PriceField" runat="server" Template-PropertyName="Price" FormatAsMoney="true"/>
                                          </td>
                                        </tr>
                                        <tr>
                                          <td class="label-value">
                                            <UI:FieldView runat="server" ID="QuantityFieldView" InputToDisplayID="QuantityField" />
                                          </td>
                                          <td class="control-value">
                                            <UI:Label id="QuantityField" runat="server" Template-PropertyName="Quantity"/>
                                          </td>
                                        </tr>
                                        <tr>
                                          <td class="label-value">
                                            <UI:FieldView runat="server" ID="SubTotalFieldView" InputToDisplayID="SubTotalField" />
                                          </td>
                                          <td class="control-value">
                                            <UI:Label id="SubTotalField" runat="server" Template-PropertyName="SubTotal" FormatAsMoney="true"/>
                                          </td>
                                        </tr>                                         
                                        <tr>
                                          <td class="label-value">
                                            <UI:FieldView runat="server" ID="DescriptionFieldView" InputToDisplayID="DescriptionField" />
                                          </td>
                                          <td class="control-value">
                                            <UI:Label id="DescriptionField" runat="server" Template-PropertyName="Description"/>
                                          </td>
                                        </tr>                                        
                                    </tbody>
                                </table>
                            </div>
                        </Body>
                    </Control:CollapsableBox>
                </fieldset>
            </td>
        </tr>
        <tr>
            <td>
                <uc:ButtonsPanel runat="server" ID="Buttons" />
            </td>
        </tr>
    </tbody>
</table>
