function trim(str)
{
	str = '' + str;
	var re = /^ */;
	var res = str.replace(re, '');
	re = / *$/;
	return(res.replace(re, ''));
}

function bodySize()
{
	var $resizebleBlocks = $('.main-layout-resizable-area > td');
	var $topPanel = $('.top-panel');
	$resizebleBlocks.css ({height:'auto'});
	$resizebleBlocks.css ({ height: $('body').height()-$topPanel.height()});	
}

$(function() {
  bodySize();
  $(window).resize(function() { 
    bodySize();
  });  
});


//What's going on here: instead of $(document).ready(...) function we use 
//a pageLoad function, which automatically provides a handler for the "load" MS AJAX client event.
//It is better, as the load event is raised for all postbacks to the server, which includes asynchronous postbacks,
//while $(document).ready(...) will fire just once. Unfortunately, just one such a function is allowed per solution.
function pageLoad() {
  
  fixIE();
  fixVisibility();
};

function fixIE() {

  //As we use pageLoad, when the dom tree is updated and new grids appear, they will be properly marked up.
	$('.grid th + th').css("border-left","1px solid #c2dcff");
	$('.grid td + td').css("border-left","1px solid #c2dcff");
	$('.grid tr + tr').children('td').css("border-top","1px solid #c2dcff");
  
  $('tr.rowsub').add('tr.row').hover(
                function(){$(this).addClass("highlight");},
                function(){$(this).removeClass("highlight");}
                );

  //$('.grid').pngFixInner();
};

///<summary>
///Hides elements that should be hidden.
///</summary>
///<remarks>
///This is an AWFUL SOLUTION. REWRITE ON SERVER SIDE OR UPDATE CSS!!!!
///Now it's impossible to use empty-cells: hide; attribute, as border-collapse:collapse is set.
///</remarks>
function fixVisibility() {

  //The hide-row css class is the marker one to show the jQuery, 
  //that the row with this element should be hidden.

  //element      //td     //tr
  $('.hide-row').parent().parent().remove();
  
  //Remove empty rows, as they have border-spacing
  
  //Select all stand-alone td elements, then remove from the selection those, that have at least one child; 
  //then get parents and remove them from dom. Rows with td elements, 
  //having a protective marker interface "not-hide-row", are also removed from the selection.
  $('.data tr td:only-child').not(':has(*)').not('[class=not-hide-row]').parent().remove();
  
  //Hide empty collapsable boxes.
                                        //table  //div    //div    //div    //fieldset
  $('.data .body tbody').not(':has(*)').parent().parent().parent().parent().parent().remove();

};

urlBuilder = function(titleField, urlField) {
    
    this.titleField = $(titleField);
    this.urlField = $(urlField);

    this.init();
}

urlBuilder.prototype = {
    
    init: function() {
        this.titleField.bind('keyup', Function.createDelegate(this, this.titleChanged));
    },
    
    titleChanged : function(e) {
        this.urlField.val(this.titleField.val().replace(/[^\d\w\-_]+/g, '_').toLowerCase());
    }
}