﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="CollapsableBlock.ascx.cs" Inherits="Core.Web.Controls.Common.CollapsableBlock" %>

<div class="<%=CssClass%> <%=(IsExpanded ? ExpandedCssClass : "") %>" id="<%=ClientID%>">
	<div class="ExpandedCaption">
		<h2><%=Title%></h2>
		<div class="<%=ControllerCssClass%>"><a href="javascript:void(0);" id="<%=ControllerTextID%>"><%=ControllerText%></a></div>
		<input type="hidden" id="<%=StateFieldID%>" name="<%=StateFieldID%>" value="<%=IsExpanded.ToString().ToLower() %>"/>
	</div>
	<div class="<%=CollapsableAreaCssClass %>" style="<%= (IsExpanded ? "" : "display:none")%>">
    <asp:PlaceHolder runat="server" ID="ContentPlaceHolder" />
	</div>
</div>