﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ContactUsControl.ascx.cs" Inherits="Core.Web.Controls.Layout.ContactUsControl" %>

<%@ Register Src="~/Controls/Layout/CaptchaInput.ascx" TagPrefix="uc" TagName="CaptchaInput" %>
  
<Front:PopupValidationSummary runat="server" ID="ValidationSummary" TopPosition="50"/>  
  
<div class="FormSection">
  <div class="GroupedForm">
    <ul class="ColBase">
      <li class="ColA">
        <div class="FormRow">
          <dl>
            <dt>
              <UI:FieldView runat="server" ID="FirstNameFieldView" InputToDisplayID="FirstNameField"
                Colons=": " RenderAsterix="true" NormalCssClass="InputLine LabelSize-CC" ErrorCssClass="Error"
                AsterixCssClass="Req" />
            </dt>
            <dd>
              <span class="InputLine InputLineSize-C">
                <UI:TextBox runat="server" ID="FirstNameField" Template-IsRequired="True" TabIndex="1" />
              </span>
            </dd>
          </dl>
        </div>
        <div class="FormRow">
          <dl>
            <dt>
              <UI:FieldView runat="server" ID="ContactNumberFieldView" InputToDisplayID="ContactNumberField"
                NormalCssClass="InputLine LabelSize-CC" ErrorCssClass="Error" AsterixCssClass="Req" />
            </dt>
            <dd>
              <span class="InputLine InputLineSize-C">
                <UI:TextBox runat="server" ID="ContactNumberField" TabIndex="3" />
              </span>
            </dd>
          </dl>
        </div>
      </li>
      <li class="ColB">
        <div class="FormRow">
          <dl>
            <dt>
              <UI:FieldView runat="server" ID="LastNameFieldView" InputToDisplayID="LastNameField"
                Colons=": " RenderAsterix="true" NormalCssClass="InputLine LabelSize-CC" ErrorCssClass="Error"
                AsterixCssClass="Req" />
            </dt>
            <dd>
              <span class="InputLine InputLineSize-C">
                <UI:TextBox runat="server" ID="LastNameField" Template-IsRequired="True" TabIndex="2"/>
              </span>
            </dd>
          </dl>
        </div>
        <div class="FormRow">
          <dl>
            <dt>
              <UI:FieldView runat="server" ID="EmailFieldView" InputToDisplayID="EmailField" RenderAsterix="true"
                Colons=": " NormalCssClass="InputLine LabelSize-CC" ErrorCssClass="Error" AsterixCssClass="Req" />
            </dt>
            <dd>
              <span class="InputLine InputLineSize-C">
                <UI:TextBox runat="server" ID="EmailField" Template-IsRequired="True" TabIndex="4"/>
              </span>
            </dd>
          </dl>
        </div>
      </li>
    </ul>
    <div class="FormRow">
      <dl>
        <dt>
          <UI:FieldView runat="server" ID="MessageFieldView" InputToDisplayID="MessageField"
            RenderAsterix="true" RenderColons="false" Asterix=" *" NormalCssClass="InputLine LabelSize-CC"
            ErrorCssClass="Error" AsterixCssClass="Req" />
        </dt>
        <dd>
          <span class="InputTexarea InputTexareaSize-B InputTexareaHeight-A">
            <UI:TextBox runat="server" ID="MessageField" Template-IsRequired="True"
              TextMode="MultiLine" CssClass="textarea text-340" TabIndex="5"/>
          </span>          
        </dd>
      </dl>
    </div>
    <uc:CaptchaInput id="CaptchaControl" runat="server" Template-IsRequired="true" TabIndex="6"/>
</div>