﻿/* 

    Author: Roman Zaharenkov
    Date:   26.06.2009

*/

-- Drop Constraint, Rename and Create Table SQL

CREATE TABLE dbo.AttributeCategories
(
    AttributeCategoryID int       IDENTITY,
    AttributeID         int       NOT NULL,
    CategoryID          int       NOT NULL,
    IsDebugObject       bit       NULL,
    CONSTRAINT PK134
    PRIMARY KEY CLUSTERED (AttributeCategoryID)
)

-- Add Referencing Foreign Keys SQL

ALTER TABLE dbo.AttributeCategories 
    ADD CONSTRAINT FK_AttributeCategories_Categories
FOREIGN KEY (AttributeID)
REFERENCES dbo.Attributes (AttributeID)
 ON DELETE CASCADE

ALTER TABLE dbo.AttributeCategories 
    ADD CONSTRAINT FK_AttributeCategories_Attributes
FOREIGN KEY (CategoryID)
REFERENCES dbo.Categories (CategoryID)
 ON DELETE CASCADE